Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.services
Interface ClassPropertyAdapter

All Known Implementing Classes:
  ClassPropertyAdapterImpl

    public interface ClassPropertyAdapter

Organizes all `PropertyAdapter`s for a particular class.

Only provides access to simple properties. Indexed properties are ignored.

When accessing properties by name, the case of the name is ignored.

Method Summary
`java.lang.Object` | `get(java.lang.Object instance, java.lang.String propertyName)` Reads the value of a property.
`java.lang.Class` | `getBeanType()` Returns the type of bean this adapter provides properties for.
`PropertyAdapter` | `getPropertyAdapter(java.lang.String name)` Returns the property adapter with the given name, or null if no such adapter exists.
`java.util.List<java.lang.String>` | `getPropertyNames()` Returns the names of all properties, sorted into alphabetic order.
`void` | `set(java.lang.Object instance, java.lang.String propertyName, java.lang.Object value)` Updates the value of a property.

Method Detail

### getPropertyNames

    java.util.List<java.lang.String> getPropertyNames()

  Returns the names of all properties, sorted into alphabetic order. This includes true properties (as defined in the JavaBeans specification), but also public fields. Starting in Tapestry 5.3, even public static fields are included.

### getBeanType

    java.lang.Class getBeanType()

  Returns the type of bean this adapter provides properties for.

### getPropertyAdapter

    PropertyAdapter getPropertyAdapter(java.lang.String name)

  Returns the property adapter with the given name, or null if no such adapter exists.

  Parameters:
    `name` - of the property (case is ignored)

### get

    java.lang.Object get(java.lang.Object instance,
                         java.lang.String propertyName)

  Reads the value of a property.

  Parameters:
    `instance` - the object to read a value from
    `propertyName` - the name of the property to read (case is ignored)
  Throws:
    `java.lang.UnsupportedOperationException` - if the property is write only
    `java.lang.IllegalArgumentException` - if property does not exist

### set

    void set(java.lang.Object instance,
             java.lang.String propertyName,
             java.lang.Object value)

  Updates the value of a property.

  Parameters:
    `instance` - the object to update
    `propertyName` - the name of the property to update (case is ignored)
  Throws:
    `java.lang.UnsupportedOperationException` - if the property is read only
    `java.lang.IllegalArgumentException` - if property does not exist

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.